| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Enumerations | Functions
capabilities.hpp File Reference
Private

provide information about current thread (underlying using the widthdrawn POSIX.1e API) More...

`#include "../my_config.h"`
`#include "user_interaction.hpp"`

Go to the source code of this file.

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations
enum | capa_status { capa_set, capa_clear, capa_unknown }

## Functions
capa_status | libdar::capability_LINUX_IMMUTABLE (user_interaction &ui, bool verbose)
capa_status | libdar::capability_SYS_RESOURCE (user_interaction &ui, bool verbose)
capa_status | libdar::capability_FOWNER (user_interaction &ui, bool verbose)
capa_status | libdar::capability_CHOWN (user_interaction &ui, bool verbose)

## Detailed Description

provide information about current thread (underlying using the widthdrawn POSIX.1e API)

Definition in file capabilities.hpp.